---

#! jobs/netperf.yaml
suite: netperf
testcase: netperf
category: benchmark

# upto 90% CPU cycles may be used by latency stats
disable_latency_stats: 1
set_nic_irq_affinity: 1
ip: ipv4
runtime: 300s
nr_threads: 1
cluster: cs-localhost
if role server:
  netserver:
if role client:
  netperf:
    test: SCTP_RR
job_origin: netperf.yaml

#! queue options
queue_cmdline_keys: []
queue: vip
testbox: lkp-icl-2sp2
tbox_group: lkp-icl-2sp2
submit_id: 64c9ba920b9a9319c31227ca
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp2/netperf-cs-localhost-performance-ipv4-1-300s-SCTP_RR-debian-11.1-x86_64-20220510.cgz-c6fd9a811bf6-20230802-72131-xeh95d-0.yaml"
id: 0fc08d6054f791ad7d77ccf2a5a246602c101b63
queuer_version: "/lkp/xsang/.src-20230802-085129"

#! /db/releases/20230729000258/lkp-src/hosts/lkp-icl-2sp2
model: Ice Lake
nr_node: 2
nr_cpu: 128
memory: 256G
nr_ssd_partitions: 4
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part3"
- "/dev/disk/by-id/nvme-INTEL_SSDPE21K375GA_PHKE734100DV375AGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE21K375GA_PHKE734200JC375AGN-part1"
swap_partitions:
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part1"
brand: Intel(R) Xeon(R) Gold 6338 CPU @ 2.00GHz

#! /db/releases/20230729000258/lkp-src/include/category/benchmark
need_kconfig:
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20230729000258/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20230729000258/lkp-src/include/queue/cyclic
commit: c6fd9a811bf6de3449a77716f07cd72b47203217

#! /db/releases/20230729000258/lkp-src/include/testbox/lkp-icl-2sp2
netconsole_port: 6680
ucode: '0xd000389'
kconfig: x86_64-rhel-8.3
enqueue_time: 2023-08-02 10:08:18.887654910 +08:00
_id: 64c9ba920b9a9319c31227ca
_rt: "/result/netperf/cs-localhost-performance-ipv4-1-300s-SCTP_RR/lkp-icl-2sp2/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/c6fd9a811bf6de3449a77716f07cd72b47203217"
compiler: gcc-12
head_commit: d4e9164d27e16e8ce322581e7ed2f3fd0fd137f7
base_commit: 5d0c230f1de8c7515b6567d9afba1f196fb4e2f4
branch: internal-aaron/mathieu_extend_idle
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/netperf/cs-localhost-performance-ipv4-1-300s-SCTP_RR/lkp-icl-2sp2/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/c6fd9a811bf6de3449a77716f07cd72b47203217/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/c6fd9a811bf6de3449a77716f07cd72b47203217/vmlinuz-6.5.0-rc1-00001-gc6fd9a811bf6
- branch=internal-aaron/mathieu_extend_idle
- job=/lkp/jobs/scheduled/lkp-icl-2sp2/netperf-cs-localhost-performance-ipv4-1-300s-SCTP_RR-debian-11.1-x86_64-20220510.cgz-c6fd9a811bf6-20230802-72131-xeh95d-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=c6fd9a811bf6de3449a77716f07cd72b47203217
- nmi_watchdog=0
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/c6fd9a811bf6de3449a77716f07cd72b47203217/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/netperf_20220627.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/netperf-x86_64-2.7-0_20220627.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230406.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: lkp-wsx01

#! /db/releases/20230729000258/lkp-src/include/site/lkp-wsx01
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
node_roles: server client
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp2/netperf-cs-localhost-performance-ipv4-1-300s-SCTP_RR-debian-11.1-x86_64-20220510.cgz-c6fd9a811bf6-20230802-72131-xeh95d-0.cgz"
last_kernel: 6.5.0-rc1
acpi_rsdp: '0x000f05b0'

#! user overrides
kbuild_queue_analysis: 1

#! /db/releases/20230801023457/lkp-src/include/site/lkp-wsx01
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/c6fd9a811bf6de3449a77716f07cd72b47203217/vmlinuz-6.5.0-rc1-00001-gc6fd9a811bf6"
result_root: "/result/netperf/cs-localhost-performance-ipv4-1-300s-SCTP_RR/lkp-icl-2sp2/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/c6fd9a811bf6de3449a77716f07cd72b47203217/0"

#! /db/releases/20230801235229/lkp-src/include/site/lkp-wsx01
dequeue_time: 2023-08-02 10:44:09.569494623 +08:00
job_state: finished
loadavg: 1.22 1.88 1.08 1/1185 13594
start_time: '1690944341'
end_time: '1690944646'
version: "/lkp/lkp/.src-20230802-000318:1285ed69c014:3abfac0beda0"
